Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network12.8.0.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
12.8.0.0
Broadcast address
12.8.1.255
First usable
12.8.0.1
Last usable
12.8.1.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 0C080000 · Integer 201850880 to 201851391
Reverse DNS zones
0.8.12.in-addr.arpa
1.8.12.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001100.00001000.00000000.0000000012.8.0.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00001100.00001000.00000000.0000000012.8.0.0
Broadcast00001100.00001000.00000001.1111111112.8.1.255
Split into smaller subnets/30

12.8.0.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
112.8.0.0/3012.8.0.1 to 12.8.0.212.8.0.32
212.8.0.4/3012.8.0.5 to 12.8.0.612.8.0.72
312.8.0.8/3012.8.0.9 to 12.8.0.1012.8.0.112
412.8.0.12/3012.8.0.13 to 12.8.0.1412.8.0.152
512.8.0.16/3012.8.0.17 to 12.8.0.1812.8.0.192
612.8.0.20/3012.8.0.21 to 12.8.0.2212.8.0.232
712.8.0.24/3012.8.0.25 to 12.8.0.2612.8.0.272
812.8.0.28/3012.8.0.29 to 12.8.0.3012.8.0.312
912.8.0.32/3012.8.0.33 to 12.8.0.3412.8.0.352
1012.8.0.36/3012.8.0.37 to 12.8.0.3812.8.0.392
1112.8.0.40/3012.8.0.41 to 12.8.0.4212.8.0.432
1212.8.0.44/3012.8.0.45 to 12.8.0.4612.8.0.472
1312.8.0.48/3012.8.0.49 to 12.8.0.5012.8.0.512
1412.8.0.52/3012.8.0.53 to 12.8.0.5412.8.0.552
1512.8.0.56/3012.8.0.57 to 12.8.0.5812.8.0.592
1612.8.0.60/3012.8.0.61 to 12.8.0.6212.8.0.632
1712.8.0.64/3012.8.0.65 to 12.8.0.6612.8.0.672
1812.8.0.68/3012.8.0.69 to 12.8.0.7012.8.0.712
1912.8.0.72/3012.8.0.73 to 12.8.0.7412.8.0.752
2012.8.0.76/3012.8.0.77 to 12.8.0.7812.8.0.792
2112.8.0.80/3012.8.0.81 to 12.8.0.8212.8.0.832
2212.8.0.84/3012.8.0.85 to 12.8.0.8612.8.0.872
2312.8.0.88/3012.8.0.89 to 12.8.0.9012.8.0.912
2412.8.0.92/3012.8.0.93 to 12.8.0.9412.8.0.952
2512.8.0.96/3012.8.0.97 to 12.8.0.9812.8.0.992
2612.8.0.100/3012.8.0.101 to 12.8.0.10212.8.0.1032
2712.8.0.104/3012.8.0.105 to 12.8.0.10612.8.0.1072
2812.8.0.108/3012.8.0.109 to 12.8.0.11012.8.0.1112
2912.8.0.112/3012.8.0.113 to 12.8.0.11412.8.0.1152
3012.8.0.116/3012.8.0.117 to 12.8.0.11812.8.0.1192
3112.8.0.120/3012.8.0.121 to 12.8.0.12212.8.0.1232
3212.8.0.124/3012.8.0.125 to 12.8.0.12612.8.0.1272
3312.8.0.128/3012.8.0.129 to 12.8.0.13012.8.0.1312
3412.8.0.132/3012.8.0.133 to 12.8.0.13412.8.0.1352
3512.8.0.136/3012.8.0.137 to 12.8.0.13812.8.0.1392
3612.8.0.140/3012.8.0.141 to 12.8.0.14212.8.0.1432
3712.8.0.144/3012.8.0.145 to 12.8.0.14612.8.0.1472
3812.8.0.148/3012.8.0.149 to 12.8.0.15012.8.0.1512
3912.8.0.152/3012.8.0.153 to 12.8.0.15412.8.0.1552
4012.8.0.156/3012.8.0.157 to 12.8.0.15812.8.0.1592
4112.8.0.160/3012.8.0.161 to 12.8.0.16212.8.0.1632
4212.8.0.164/3012.8.0.165 to 12.8.0.16612.8.0.1672
4312.8.0.168/3012.8.0.169 to 12.8.0.17012.8.0.1712
4412.8.0.172/3012.8.0.173 to 12.8.0.17412.8.0.1752
4512.8.0.176/3012.8.0.177 to 12.8.0.17812.8.0.1792
4612.8.0.180/3012.8.0.181 to 12.8.0.18212.8.0.1832
4712.8.0.184/3012.8.0.185 to 12.8.0.18612.8.0.1872
4812.8.0.188/3012.8.0.189 to 12.8.0.19012.8.0.1912
4912.8.0.192/3012.8.0.193 to 12.8.0.19412.8.0.1952
5012.8.0.196/3012.8.0.197 to 12.8.0.19812.8.0.1992
5112.8.0.200/3012.8.0.201 to 12.8.0.20212.8.0.2032
5212.8.0.204/3012.8.0.205 to 12.8.0.20612.8.0.2072
5312.8.0.208/3012.8.0.209 to 12.8.0.21012.8.0.2112
5412.8.0.212/3012.8.0.213 to 12.8.0.21412.8.0.2152
5512.8.0.216/3012.8.0.217 to 12.8.0.21812.8.0.2192
5612.8.0.220/3012.8.0.221 to 12.8.0.22212.8.0.2232
5712.8.0.224/3012.8.0.225 to 12.8.0.22612.8.0.2272
5812.8.0.228/3012.8.0.229 to 12.8.0.23012.8.0.2312
5912.8.0.232/3012.8.0.233 to 12.8.0.23412.8.0.2352
6012.8.0.236/3012.8.0.237 to 12.8.0.23812.8.0.2392
6112.8.0.240/3012.8.0.241 to 12.8.0.24212.8.0.2432
6212.8.0.244/3012.8.0.245 to 12.8.0.24612.8.0.2472
6312.8.0.248/3012.8.0.249 to 12.8.0.25012.8.0.2512
6412.8.0.252/3012.8.0.253 to 12.8.0.25412.8.0.2552
6512.8.1.0/3012.8.1.1 to 12.8.1.212.8.1.32
6612.8.1.4/3012.8.1.5 to 12.8.1.612.8.1.72
6712.8.1.8/3012.8.1.9 to 12.8.1.1012.8.1.112
6812.8.1.12/3012.8.1.13 to 12.8.1.1412.8.1.152
6912.8.1.16/3012.8.1.17 to 12.8.1.1812.8.1.192
7012.8.1.20/3012.8.1.21 to 12.8.1.2212.8.1.232
7112.8.1.24/3012.8.1.25 to 12.8.1.2612.8.1.272
7212.8.1.28/3012.8.1.29 to 12.8.1.3012.8.1.312
7312.8.1.32/3012.8.1.33 to 12.8.1.3412.8.1.352
7412.8.1.36/3012.8.1.37 to 12.8.1.3812.8.1.392
7512.8.1.40/3012.8.1.41 to 12.8.1.4212.8.1.432
7612.8.1.44/3012.8.1.45 to 12.8.1.4612.8.1.472
7712.8.1.48/3012.8.1.49 to 12.8.1.5012.8.1.512
7812.8.1.52/3012.8.1.53 to 12.8.1.5412.8.1.552
7912.8.1.56/3012.8.1.57 to 12.8.1.5812.8.1.592
8012.8.1.60/3012.8.1.61 to 12.8.1.6212.8.1.632
8112.8.1.64/3012.8.1.65 to 12.8.1.6612.8.1.672
8212.8.1.68/3012.8.1.69 to 12.8.1.7012.8.1.712
8312.8.1.72/3012.8.1.73 to 12.8.1.7412.8.1.752
8412.8.1.76/3012.8.1.77 to 12.8.1.7812.8.1.792
8512.8.1.80/3012.8.1.81 to 12.8.1.8212.8.1.832
8612.8.1.84/3012.8.1.85 to 12.8.1.8612.8.1.872
8712.8.1.88/3012.8.1.89 to 12.8.1.9012.8.1.912
8812.8.1.92/3012.8.1.93 to 12.8.1.9412.8.1.952
8912.8.1.96/3012.8.1.97 to 12.8.1.9812.8.1.992
9012.8.1.100/3012.8.1.101 to 12.8.1.10212.8.1.1032
9112.8.1.104/3012.8.1.105 to 12.8.1.10612.8.1.1072
9212.8.1.108/3012.8.1.109 to 12.8.1.11012.8.1.1112
9312.8.1.112/3012.8.1.113 to 12.8.1.11412.8.1.1152
9412.8.1.116/3012.8.1.117 to 12.8.1.11812.8.1.1192
9512.8.1.120/3012.8.1.121 to 12.8.1.12212.8.1.1232
9612.8.1.124/3012.8.1.125 to 12.8.1.12612.8.1.1272
9712.8.1.128/3012.8.1.129 to 12.8.1.13012.8.1.1312
9812.8.1.132/3012.8.1.133 to 12.8.1.13412.8.1.1352
9912.8.1.136/3012.8.1.137 to 12.8.1.13812.8.1.1392
10012.8.1.140/3012.8.1.141 to 12.8.1.14212.8.1.1432
10112.8.1.144/3012.8.1.145 to 12.8.1.14612.8.1.1472
10212.8.1.148/3012.8.1.149 to 12.8.1.15012.8.1.1512
10312.8.1.152/3012.8.1.153 to 12.8.1.15412.8.1.1552
10412.8.1.156/3012.8.1.157 to 12.8.1.15812.8.1.1592
10512.8.1.160/3012.8.1.161 to 12.8.1.16212.8.1.1632
10612.8.1.164/3012.8.1.165 to 12.8.1.16612.8.1.1672
10712.8.1.168/3012.8.1.169 to 12.8.1.17012.8.1.1712
10812.8.1.172/3012.8.1.173 to 12.8.1.17412.8.1.1752
10912.8.1.176/3012.8.1.177 to 12.8.1.17812.8.1.1792
11012.8.1.180/3012.8.1.181 to 12.8.1.18212.8.1.1832
11112.8.1.184/3012.8.1.185 to 12.8.1.18612.8.1.1872
11212.8.1.188/3012.8.1.189 to 12.8.1.19012.8.1.1912
11312.8.1.192/3012.8.1.193 to 12.8.1.19412.8.1.1952
11412.8.1.196/3012.8.1.197 to 12.8.1.19812.8.1.1992
11512.8.1.200/3012.8.1.201 to 12.8.1.20212.8.1.2032
11612.8.1.204/3012.8.1.205 to 12.8.1.20612.8.1.2072
11712.8.1.208/3012.8.1.209 to 12.8.1.21012.8.1.2112
11812.8.1.212/3012.8.1.213 to 12.8.1.21412.8.1.2152
11912.8.1.216/3012.8.1.217 to 12.8.1.21812.8.1.2192
12012.8.1.220/3012.8.1.221 to 12.8.1.22212.8.1.2232
12112.8.1.224/3012.8.1.225 to 12.8.1.22612.8.1.2272
12212.8.1.228/3012.8.1.229 to 12.8.1.23012.8.1.2312
12312.8.1.232/3012.8.1.233 to 12.8.1.23412.8.1.2352
12412.8.1.236/3012.8.1.237 to 12.8.1.23812.8.1.2392
12512.8.1.240/3012.8.1.241 to 12.8.1.24212.8.1.2432
12612.8.1.244/3012.8.1.245 to 12.8.1.24612.8.1.2472
12712.8.1.248/3012.8.1.249 to 12.8.1.25012.8.1.2512
12812.8.1.252/3012.8.1.253 to 12.8.1.25412.8.1.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses